サポート » インストール » インストールができません

  • 解決済 tette

    (@tette)


    2.7をアップロード後、サイトにアクセスしたところ以下のエラーが出てインストールができません。

    Warning: require_once() [function.require-once]: SAFE MODE Restriction in effect. The script whose uid is 76921 is not allowed to access ./includes/upgrade.php owned by uid 23166 in /www/ttt.com/t/t/t/tttttt/htdocs/wp-admin/install.php on line 21

    Warning: require_once(./includes/upgrade.php) [function.require-once]: failed to open stream: Success in /www/ttt.com/t/t/t/tttttt/htdocs/wp-admin/install.php on line 21

    Fatal error: require_once() [function.require]: Failed opening required ‘./includes/upgrade.php’ (include_path=’.:/usr/lib/php’) in /www/ttt.com/t/t/t/tttttt/htdocs/wp-admin/install.php on line 21

    対応策があればご教示ください。

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • モデレーター jim912

    (@jim912)

    tetteさん、こんにちは。

    セーフモードにおける利用制限のようです。
    install.phpとupgrade.phpがなんらかの要因でファイルの所有者が異なっており、そのためファイルを読み込めなくなっているとのエラーメッセージですので、このエラーに関しては、どちらかにファイルの所有者を統一すれば解消できるかと思います。

    その他、セーフモードでの運用には、いくつか注意点があります。
    セーフモードによる制限と対処方法をご覧いただいておくと、良いかと思います。

    トピック投稿者 tette

    (@tette)

    jim92さん、ご返信ありがとうございます。
    早速、ファイル所有者を確認したところ、確かに違ってるように見えました。
    FFFTPの画面上、所有者表示がそれぞれ5桁の数値で表現されており、違ってました。

    っで、統一しようとFFFTPをいじくりまわしましたが、やり方がわかりません。この辺りは初心者の壁でしょうか?

    所有者を統一するやり方を教えていただけると助かります。
    ちなみにホスティング側の管理画面でも所有者を同じにする機能は提供されておりませんでした。

    どうぞ宜しくお願いいたします。

    モデレーター jim912

    (@jim912)

    tetteさん、こんにちは。

    まず、新規にファイルをアップロードした場合の所有者の数値を確認してください。
    次にそれと異なる所有者のファイルを一旦削除し、新規にアップロードという流れになります。

    所有者の異なるファイルの削除ができなければ、ファイル名の変更が出来るか試してみてください。

    トピック投稿者 tette

    (@tette)

    jim912さん、サポートありがとうございます。
    ご指示どおりに操作したところログイン画面に到達しました。
    (所有者を直すファイルが結構ありました。)

    使えるようになりましたが、、日本語版が英語版になってしまいました。
    英語版でも使えなくないですが、簡単に直す方法があれば
    ご教示いただきたく。。

    度々済みません。

    トピック投稿者 tette

    (@tette)

    jim912さん、さらに済みません。

    英文の管理画面にたどり着きましたが、ホームページそのものが見えません。
    アクセスすると真っ白です。

    解決サポートお願いいたします。

    トピック投稿者 tette

    (@tette)

    ホームページそのものが見えない件でちょっと調べてみたところ、

    テーマの管理画面で、以下の警告が出ていました。

    Warning: ksort() expects parameter 1 to be array, boolean given in /www/vndv.com/i/n/s/inspire/htdocs/wp-admin/themes.php on line 41

    Warning: array_slice() expects parameter 1 to be array, boolean given in /www/vndv.com/i/n/s/inspire/htdocs/wp-admin/themes.php on line 62

    っでその下に普通テーマの縮小画面が表示されるはずが、
    何も現れません。サーバ側にはテーマフォルダーもあり、デフォルト、クラシックなど
    ファイルもインストールされています。

    モデレーター jim912

    (@jim912)

    tetteさん、こんにちは。

    英語表示は、wp-content/languages/ja.moの読みとり、テーマ管理画面のエラーはテーマディレクトリへのアクセスに失敗している可能性が高く、権限関連の問題であると思われます。
    ディレクトリを含め、再度所有者を確認してみてください。

    トピック投稿者 tette

    (@tette)

    jim912さん、アドバイスありがとうございます。
    wp-content等再アップロードして直りました。
    肝心なところの所有者の問題だったようです。

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • トピック「インストールができません」には新たに返信することはできません。